#
# spec file for package gap-congruence
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-congruence
Version:        1.2.7
Release:        1.1
Summary:        GAP: Congruence subgroups of SL(2,Z)
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/congruence/
#Git-Clone:     https://github.com/gap-packages/congruence
Source:         https://github.com/gap-packages/congruence/releases/download/v%version/congruence-%version.tar.gz
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildArch:      noarch
Requires:       gap-core >= 4.8
Requires:       gap-gapdoc >= 1.5.1

%description
The Congruence package provides functions to construct several types
of canonical congruence subgroups in SL_2(Z), and also intersections
of a finite number of such subgroups. Furthermore, it implements the
algorithm for generating Farey symbols for congruence subgroups and
using them to produce a system of independent generators for these
subgroups.

%prep
%autosetup -n congruence-%version

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Fri Aug 30 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2.7
  * Don't try to read buildman.g (removed in 2012)
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2.6
  * Somehow fix PrintObj() function for Farey symbols
* Sun Jun 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2.5
  * Nothing user visible - janitorial changes only
* Fri Jul 29 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2.4
  * CI infrastructure changes
* Mon Apr 25 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2.3
  * Add a bunch of trivial implications
* Fri Sep  7 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.2.2
  * No changelog was provided, again
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 1.2.1
  * No changelog was provided
* Fri Dec  5 2014 jengelh@inai.de
- Update to new upstream release 1.1.1
  * No user changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Initial package (version 1.0.3) for build.opensuse.org
